#include <inti/main.h>
#include <inti/core.h>
#include <inti/gtk/button.h>

using namespace Inti;

class ImageButton : public Gtk::Button
{
protected:
	virtual void on_clicked();

public:
	ImageButton(const String& xpm_filename, const String& label_text);
	virtual ~ImageButton();
};

class ButtonWindow : public Gtk::Window
{
public:
	ButtonWindow();
	virtual ~ButtonWindow();
};

